<?php
declare(strict_types=1);

namespace Catequil\Barcode;

use Catequil\Tool\Metadata\MetadataManager;

/**
 * Class ConfigProvider
 *
 * @package Catequil\Barcode
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/catequil-barcode
 */
final class ConfigProvider
{
    public function __invoke(): array
    {
        return [
            'orm' => [
                'implementations' => [
                    Model\BarcodeInterface::class => Model\Barcode::class,
                ],
                'entity_paths' => [
                    __NAMESPACE__ => __DIR__ . '/Model',
                ],
            ],
            'dependencies' => [
                'aliases' => [
                    Service\BarcodeServiceInterface::class => Service\BarcodeService::class,
                ],
            ],
            MetadataManager::class => [
                'paths' => [
                    __DIR__,
                ],
            ],
        ];
    }
}
